Skip to main content

Endpoint

GET https://app.sling.com.ng/api/v1/group-contacts/{groupid}

Headers

HeaderValue
Acceptapplication/json
AuthorizationBearer {API_TOKEN}

Path parameters

groupid
string
required
Group ID or group identifier.

Response

Returns contacts assigned to the group.

Success Response

Contacts endpoints return status: "success" when the operation completes.
{
  "status": "success",
  "details": "Group Contacts fetched",
  "data": {
    "current_page": 1,
    "data": [
      {
        "id": 12,
        "name": "Contact 4",
        "email": null,
        "phone": "09033776357"
      },
      {
        "id": 54,
        "name": "John Doe",
        "email": "[email protected]",
        "phone": "1234567891"
      }
    ],
    "first_page_url": "https://app.sling.com.ng/api/v1/group-contacts/1?page=1",
    "from": 1,
    "last_page": 2,
    "last_page_url": "https://app.sling.com.ng/api/v1/group-contacts/1?page=2",
    "next_page_url": "https://app.sling.com.ng/api/v1/group-contacts/1?page=2",
    "path": "https://app.sling.com.ng/api/v1/group-contacts/1",
    "per_page": 50,
    "prev_page_url": null,
    "to": 50,
    "total": 68
  }
}